% Tato funkce uloží hodnoty vlnových délek a absorbancí do proměnných a
% vykreslí první graf, Spektrum absorbancí. Pokud jsou hodnoty pro první
% graf již uloženy z předchozí analýzy, Program pouze překreslí graf. Graf
% je vykreslen pomocí převzaté funkce ColorSet, která zobrazí každou křivku
% v jiné barvě.

function [mat_x, mat_y] = RozdeleniCsv(master_str, poradi, redraw,zvetsit, handles)
global actg1;
if isempty(master_str{poradi}.mat_y)
   soubory = get(handles.FileListbox, 'String');
   cesta = soubory{poradi};
   fid = fopen(cesta, 'r');                
   format long;
   a = 1;
        while 1                             
            tline = fgetl(fid);                                   
            if ~ischar(tline) || length(tline) < 1
                break
            end
            if(a > 2)                                  
                res = regexp(tline, '\,', 'split');     
                l_res = length(res);
                k = 1;
                for i = 2:2:l_res                          
                    mezi_mat_y(a-2, k) =  str2double(res{i});  
                    mezi_mat_x(a-2,1) =  str2double(res{1});    
                    k = k + 1;
                end
            end
            a = a+1;
        end
        fclose(fid);
        mat_x = flipud(mezi_mat_x);
        mat_y =flipud(mezi_mat_y);       
        [k,l_mat_y] = size(mat_y);
        ColorSet = varycolor(k);             
        for j = 1:l_mat_y                       
                axes(handles.axes1);
                plot(mat_x,mat_y(:,j),'Color',ColorSet(j,:));
        hold on
        end
        hold off
        grid on
        axis tight
        title('Spektrum absorbancí','FontSize',11,'FontWeight','bold');
        xlabel('Vlnová délka [nm]');
        ylabel('Absorbance');    
        actg1 = poradi;
else
        mat_y = master_str{poradi}.mat_y;
        mat_x = master_str{poradi}.mat_x;
        if redraw == 1
            [k,l_mat_y] = size(mat_y);
            ColorSet = varycolor(k);             
            for j = 1:l_mat_y                       
                 axes(handles.axes1);
                 plot(mat_x,mat_y(:,j),'Color',ColorSet(j,:));
            hold on
            end
            hold off
            grid on
            axis tight
            title('Spektrum absorbancí','FontSize',11,'FontWeight','bold');
            xlabel('Vlnová délka [nm]');
            ylabel('Absorbance');  
            actg1 = poradi;
        end
end

